# $Id: graphviz-cairo.spec.in,v 1.13 2005/07/20 11:39:55 ellson Exp $ $Revision: 1.13 $
# graphviz-cairo.spec.  Generated from graphviz-cairo.spec.in by configure.

Summary:        Graph Visualization Tools
Name:           graphviz-cairo
Version:        2.4
Release:        1

Group:          Applications/Multimedia
License:        CPL
URL:            http://www.graphviz.org/
Source:		http://www.graphviz.org/pub/graphviz/ARCHIVE/graphviz-cairo-2.4.tar.gz
Requires:	graphviz >= 2.3 

BuildRequires:	graphviz-devel >= 2.3 gtk2-devel >= 2.7.0 cairo-devel >= 0.5.1
BuildRoot:	%{_tmppath}/%{name}-root
Prefix:         %{_prefix}

%description
A renderer plugin for graphviz that uses cairo and provides output formats
such as png, x11.

%prep
%setup -q

%build
%{expand: %%define optflags %{optflags} -ffast-math}
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-x \
	--disable-dependency-tracking
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT __doc
make \
    DESTDIR=$RPM_BUILD_ROOT \
    docdir=$RPM_BUILD_ROOT%{_docdir}/%{name} \
    transform='s,x,x,' \
    install
cp -a $RPM_BUILD_ROOT%{_datadir}/%{name}/doc __doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_libdir}/graphviz
%{_libdir}/graphviz/*.so.*
%exclude %{_libdir}/graphviz/*.la
%exclude %{_libdir}/graphviz/*.so

# run dot once to update %{_libdir}/graphviz/config for new plugins
%post
%{_bindir}/dot -V 2>/dev/null

# run dot once to update %{_libdir}/graphviz/config for remaining plugins
%postun
if test -x %{_bindir}/dot; then %{_bindir}/dot -V 2>/dev/null; fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
